com.sun.grid.jgdi.configuration

## Interface JobSchedulingInfo

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    JobSchedulingInfoImpl

      public interface JobSchedulingInfo
      extends GEObject

  Java representation of the cull object SME_Type defined in sge_all_listsL.template

  Warning: The JobSchedulingInfo class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `JobSchedulingMessage` | `getGlobalMessage(int index)` Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `int` | `getGlobalMessageCount()` Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `java.util.List<JobSchedulingMessage>` | `getGlobalMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `JobSchedulingMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `java.util.List<JobSchedulingMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
    `boolean` | `isSetGlobalMessage()` Determine if any globalMessage attribute is set
    `boolean` | `isSetMessage()` Determine if any message attribute is set

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### getMessageList

          java.util.List<JobSchedulingMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes

    - #### getMessageCount

          int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### getMessage

          JobSchedulingMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### isSetMessage

          boolean isSetMessage()

      Determine if any message attribute is set
      Returns:
        `true` if the message attribute is set

    - #### getGlobalMessageList

          java.util.List<JobSchedulingMessage> getGlobalMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes

    - #### getGlobalMessageCount

          int getGlobalMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.JobSchedulingMessage attributes.

    - #### getGlobalMessage

          JobSchedulingMessage getGlobalMessage(int index)

      Get a com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JobSchedulingMessage attribute

    - #### isSetGlobalMessage

          boolean isSetGlobalMessage()

      Determine if any globalMessage attribute is set
      Returns:
        `true` if the globalMessage attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.